#include <QtGui>
#include "AllerAcelluleDialogue.h"

AllerAcelluleDialogue::AllerAcelluleDialogue(QWidget *parent)
        : QDialog(parent)
{
    setupUi(this);
    QRegExp expressionReguliere("[A-Za-z][1-9][0-9]{0,2}");
    lineEdit->setValidator(new QRegExpValidator(expressionReguliere, this));
    connect(btnOK, SIGNAL(clicked()),this, SLOT(accept()));
    connect(btnAnnuler, SIGNAL(clicked()),this,SLOT(reject()));
    // si la convention de nommage est respectée,le setupUi crée fait la connexion ci-dessous sans qu'on ait besoin de l'écrire
    //connect(lineEdit, SIGNAL(textChanged(QString)),this,SLOT(on_lineEdit_textChanged()));
}

void AllerAcelluleDialogue::on_lineEdit_textChanged()
{
    btnOK->setEnabled(lineEdit->hasAcceptableInput());
}
